QGIS Application - Bug report #18754
Embedded form: data stays in form when last feature in relation is removed
2018-04-18 04:41 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26641
Description

In an embedded form of a n:m relation - if one deletes the last linked feature (with Delete Feature), the data of the last feature still remains
in the embedded form.

However, if one unlinks the last linked feature, the embedded form is correctly cleared.

It is suggested that after deletion of the last related feature, that the form is fully cleared, like in the unlink case.

See 4 screenshots attached: first two: deletion, 3 and 4: unlinking

Associated revisions

Revision 6a6a8dda - 2018-06-21 09:49 PM - Matthias Kuhn

Reset embedded form when last feature is removed

Fix #18754

History

#1 - 2018-06-21 09:49 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|6a6a8dda55b2737d9362dc0b5d02176c087ffeb5.

Files

qgis_embedded_form1_deleting_last_related_record.png 20.9 KB 2018-04-18 Andreas Neumann
qgis_embedded_form2_deleting_last_related_record.png 13.9KB 2018-04-18 Andreas Neumann
qgis_embedded_form3_unlinking_last_related_record.png 19.4 KB 2018-04-18 Andreas Neumann
qgis_embedded_form4_unlinked_last_related_record.png 16.3 KB 2018-04-18 Andreas Neumann

2025-06-13 1/1




